#!/usr/bin/python3


class MenuBar:
    def __init__(self, app):
        self.app = app
        self.window = self.app.gui.window
        self.settings_action = self.window.settings_action

        self.connect()

    def connect(self):
        self.settings_action.triggered.connect(self.show_settings)

    def show_settings(self):
        self.window.settings.show()

