#!/usr/bin/python3

from PyQt6.QtCore import Qt
from PyQt6.QtWidgets import QDockWidget
from .library import Library


class LibraryDock(QDockWidget):
    def __init__(self, parent=None):
        super().__init__(parent)

        self.setAllowedAreas(
            Qt.DockWidgetArea.LeftDockWidgetArea |
            Qt.DockWidgetArea.RightDockWidgetArea |
            Qt.DockWidgetArea.BottomDockWidgetArea
        )

        self.library = Library(self)
        self.setWidget(self.library)

