#!/usr/bin/python3

from PyQt6.QtWidgets import QTreeWidget


class PlaylistView(QTreeWidget):
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)

        self.setColumnCount(4)

        headers = [
            "#",
            "Title",
            "Artist",
            "Album"
        ]

        self.setHeaderLabels(headers)